// 
// Copyright 2016 Agencia Estatal de Administración Tibutaria
//
// Licencia con arreglo a la EUPL, Versión 1.1 o -en cuanto
// sean aprobadas por la Comisión Europea- versiones
// posteriores de la EUPL (la «Licencia»);
// Solo podrá usarse esta obra si se respeta la Licencia.
// Puede obtenerse una copia de la Licencia en:
//  
// https://joinup.ec.europa.eu/software/page/eupl
//  
// Salvo cuando lo exija la legislación aplicable o se acuerde
// por escrito, el programa distribuido con arreglo a la
// Licencia se distribuye «TAL CUAL», SIN GARANTÍAS NI CONDICIONES
// DE NINGÚN TIPO, ni expresasni implícitas.
//
// Véase la Licencia en el idioma concreto que rige los permisos y 
// limitaciones que establece la Licencia.
// 

using System;
using System.Collections.Generic;
using System.Text;
using gestor.utiles;

namespace minigestor.datos
{
    public class RegistroCola
    {
        public int id;
        public string cola;
        public string descripcion;
        public int bonificacion;
        public int numero;
        public bool activa;
        public bool citaPrevia;
        public bool cerrada;
        public string salaEspera;
        //public string navegacion;

        public bool nifObligatorio;
        public bool colaespecial;
        public bool necesitaApellido() {
            return false;
        }

        public void leerRegistroCompleto(string s) {
            string[] cs = s.Split('|');
            try {
                id = Int32.Parse(cs[0]);
                cola = cs[1];
                descripcion = cs[2];
                bonificacion = Global.nz(cs[3]);
                numero = Global.nz(cs[4]);
                activa = cs[5] == "1" ? true : false;
                //navegacion = cs[6];
                citaPrevia = cs[7] == "1" ? true : false;
                cerrada = cs[8] == "1" ? true : false;
                if (cs[11] == "null") {
                    salaEspera = " ";
                } else {
                    salaEspera = cs[13];
                }
                nifObligatorio = cs[14] == "1" ? true : false;
                // comprobación de seguridad, por si está mal el ConfiguraServidor...
                if (citaPrevia) {
                    nifObligatorio = true;
                }
                colaespecial = cs[15] == "1" ? true : false;
            } catch (Exception exc) {
                throw new Exception("Error en registro seriado: " + exc.Message);
            }
        }

    }
}
